# wallet_getCallsStatus

> For the complete documentation index, see [llms.txt](/docs/llms.txt).

POST https://api.g.alchemy.com/v2/{apiKey}

This method is used to get the status of calls IDs returned from wallet_sendPreparedCalls.

Reference: https://www.alchemy.com/docs/wallets/api-reference/smart-wallets/wallet-api-endpoints/wallet-get-calls-status

## Parameters

| Name | Type | Required | Description |
|------|------|----------|-------------|
| callId | string | Yes |  |

## Result

**getCallsStatusResponse** (object)

## Example

### Request

```json
{
  "jsonrpc": "2.0",
  "method": "wallet_getCallsStatus",
  "params": [
    "0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477"
  ],
  "id": 1
}
```

### Response

```json
{
  "jsonrpc": "2.0",
  "result": {
    "id": "0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477",
    "chainId": "0x66eee",
    "atomic": true,
    "status": 200,
    "details": {
      "type": "user-operation",
      "data": {
        "hash": "0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477",
        "calls": [
          {
            "to": "0x1234567890123456789012345678901234567890",
            "data": "0x"
          }
        ]
      }
    },
    "receipts": [
      {
        "status": "0x1",
        "blockHash": "0x7c6f2f548c0ad4434dfb64f49a810bc795dadcd4cbec948bf8d4ae81a10fed5e",
        "blockNumber": "0x8ba5f79",
        "gasUsed": "0x33c65",
        "transactionHash": "0x8ec28074a461102e4dbe43cb4aa9fed3e8c1274f1f1b0d5f6a0919ce7e20f517",
        "logs": [
          {
            "address": "0x00000000000017c61b5bee81050ec8efc9c6fecd",
            "data": "0x0000000000000000000000000000000000000000000000000000000000000000",
            "topics": [
              "0xd32049610f0cd3babd266cf338d726cc8c34c8ff97356c0f33c13fa59962ac92",
              "0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d",
              "0x0000000000000000000000003f3503e682bf27330f9e5065043d47207e609e7d"
            ]
          },
          {
            "address": "0x0000000071727de22e5e9d8baf0edac6f37da032",
            "data": "0x00000000000000000000000000000000000017c61b5bee81050ec8efc9c6fecd0000000000000000000000002cc0c7981d846b9f2a16276556f6e8cb52bfb633",
            "topics": [
              "0xd51a9c61267aa6196961883ecf5ff2da6619c37dac0fa92122513fb32c032d2d",
              "0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477",
              "0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d"
            ]
          },
          {
            "address": "0x0000000071727de22e5e9d8baf0edac6f37da032",
            "data": "0x",
            "topics": [
              "0xbb47ee3e183a558b1a2ff0874b079f3fc5478b7454eacf2bfc5af2ff5878f972"
            ]
          },
          {
            "address": "0x0000000071727de22e5e9d8baf0edac6f37da032",
            "data": "0x00000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000014ba6c2cd4f0000000000000000000000000000000000000000000000000000000000003451d",
            "topics": [
              "0x49628fd1471006c1482da88028e9ce4dbb080b815c9b0344d39e5a8e6ec1419f",
              "0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477",
              "0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d",
              "0x0000000000000000000000002cc0c7981d846b9f2a16276556f6e8cb52bfb633"
            ]
          }
        ]
      }
    ]
  },
  "id": 1
}
```

## Code Examples

### cURL

```bash
curl --request POST \
  --url https://api.g.alchemy.com/v2/docs-demo \
  --header 'Content-Type: application/json' \
  --data '{
  "jsonrpc": "2.0",
  "id": 1,
  "method": "wallet_getCallsStatus",
  "params": [
    "0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477"
  ]
}'
```

### JavaScript

```javascript
const options = {
  method: 'POST',
  headers: {'Content-Type': 'application/json'},
  body: JSON.stringify({
    jsonrpc: '2.0',
    id: 1,
    method: 'wallet_getCallsStatus',
    params: [
      '0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
    ]
  })
};

fetch('https://api.g.alchemy.com/v2/docs-demo', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.g.alchemy.com/v2/docs-demo"

payload = {
    "jsonrpc": "2.0",
    "id": 1,
    "method": "wallet_getCallsStatus",
    "params": ["0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477"]
}
headers = {"Content-Type": "application/json"}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
```

### Go

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.g.alchemy.com/v2/docs-demo"

	payload := strings.NewReader("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCallsStatus\",\n  \"params\": [\n    \"0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477\"\n  ]\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(string(body))

}
```

### Java

```java
HttpResponse<String> response = Unirest.post("https://api.g.alchemy.com/v2/docs-demo")
  .header("Content-Type", "application/json")
  .body("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCallsStatus\",\n  \"params\": [\n    \"0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477\"\n  ]\n}")
  .asString();
```

### C#

```csharp
using RestSharp;


var options = new RestClientOptions("https://api.g.alchemy.com/v2/docs-demo");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddJsonBody("{\n  \"jsonrpc\": \"2.0\",\n  \"id\": 1,\n  \"method\": \"wallet_getCallsStatus\",\n  \"params\": [\n    \"0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477\"\n  ]\n}", false);
var response = await client.PostAsync(request);

Console.WriteLine("{0}", response.Content);

```


## OpenRPC Method Specification

```yaml
name: wallet_getCallsStatus
description: This method is used to get the status of calls IDs returned from wallet_sendPreparedCalls.
params:
  - name: callId
    required: true
    schema:
      type: string
      pattern: ^0x.*$
      errorMessage: Must be a valid hex string starting with '0x'
      description: The call ID returned from wallet_sendPreparedCalls
      title: callId
result:
  name: getCallsStatusResponse
  schema:
    type: object
    required:
      - id
      - chainId
      - atomic
      - status
      - details
    properties:
      id:
        type: string
        pattern: ^0x.*$
        errorMessage: Must be a valid hex string starting with '0x'
      chainId:
        type: string
        pattern: ^0x.*$
        errorMessage: Must be a valid hex string starting with '0x'
      atomic:
        type: boolean
      status:
        anyOf:
          - type: number
            title: Pending
            description: Batch has been received by the wallet but has not completed execution onchain
            enum:
              - 100
          - type: number
            title: Preconfirmed
            description: Batch has been preconfirmed onchain
            enum:
              - 110
          - type: number
            title: Preconfirmed Onchain Failure
            description: Batch reverted *completely* in a preconfirmation and only changes related to gas charge may have been included onchain
            enum:
              - 115
          - type: number
            title: Preconfirmed Partial Onchain Failure
            description: Batch reverted *partially* in a preconfirmation and some changes related to batch calls may have been included onchain
            enum:
              - 116
          - type: number
            title: Cross-Chain In Progress
            description: Origin confirmed, destination pending
            enum:
              - 120
          - type: number
            title: Confirmed
            description: Batch has been included onchain without reverts, receipts array contains info of all calls
            enum:
              - 200
          - type: number
            title: Offchain Failure
            description: Batch has not been included onchain and wallet will not retry
            enum:
              - 400
          - type: number
            title: Cross-Chain Refunded
            description: Cross-chain operation failed and was refunded
            enum:
              - 410
          - type: number
            title: Onchain Failure
            description: Batch reverted *completely* and only changes related to gas charge may have been included onchain
            enum:
              - 500
          - type: number
            title: Partial Onchain Failure
            description: Batch reverted *partially* and some changes related to batch calls may have been included onchain
            enum:
              - 600
      receipts:
        type: array
        items:
          type: object
          required:
            - logs
            - status
            - blockHash
            - blockNumber
            - gasUsed
            - transactionHash
          properties:
            logs:
              type: array
              items:
                type: object
                required:
                  - address
                  - data
                  - topics
                properties:
                  address:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid Ethereum address starting with '0x' (e.g., '0xa363219d7C0b8673df17529D469Db9eFF0f35D2A')
                  data:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  topics:
                    type: array
                    items:
                      type: string
                      pattern: ^0x.*$
                      errorMessage: Must be a valid hex string starting with '0x'
            status:
              type: string
              pattern: ^0x.*$
              errorMessage: Must be a valid hex string starting with '0x'
              description: 0x1 for success, 0x0 for failure
            blockHash:
              type: string
              pattern: ^0x.*$
              errorMessage: Must be a valid hex string starting with '0x'
            blockNumber:
              type: string
              pattern: ^0x.*$
              errorMessage: Must be a valid hex string starting with '0x'
            gasUsed:
              type: string
              pattern: ^0x.*$
              errorMessage: Must be a valid hex string starting with '0x'
            transactionHash:
              type: string
              pattern: ^0x.*$
              errorMessage: Must be a valid hex string starting with '0x'
      details:
        anyOf:
          - type: object
            required:
              - type
              - data
            properties:
              type:
                type: string
                enum:
                  - user-operation
              data:
                type: object
                required:
                  - hash
                properties:
                  hash:
                    type: string
                    pattern: ^0x.*$
                    errorMessage: Must be a valid hex string starting with '0x'
                  calls:
                    type: array
                    items:
                      type: object
                      required:
                        - to
                      properties:
                        to:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid Ethereum address starting with '0x' (e.g., '0xa363219d7C0b8673df17529D469Db9eFF0f35D2A')
                        data:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid hex string starting with '0x'
                        value:
                          type: string
                          pattern: ^0x.*$
                          errorMessage: Must be a valid hex string starting with '0x'
                  pendingBundle:
                    type: object
                    required:
                      - txHash
                      - sentAtBlock
                    properties:
                      txHash:
                        type: string
                        pattern: ^0x.*$
                        errorMessage: Must be a valid hex string starting with '0x'
                      sentAtBlock:
                        type: string
                        pattern: ^0x.*$
                        errorMessage: Must be a valid hex string starting with '0x'
          - type: object
            required:
              - type
            properties:
              type:
                type: string
                enum:
                  - delegation
              txHash:
                type: string
                pattern: ^0x.*$
                errorMessage: Must be a valid hex string starting with '0x'
examples:
  - name: wallet_getCallsStatus example
    params:
      - name: param0
        value: '0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
    result:
      name: Response
      value:
        id: '0x0000000000000000000000000000000000000000000000000000000000066eee1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
        chainId: '0x66eee'
        atomic: true
        status: 200
        details:
          type: user-operation
          data:
            hash: '0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
            calls:
              - to: '0x1234567890123456789012345678901234567890'
                data: 0x
        receipts:
          - status: '0x1'
            blockHash: '0x7c6f2f548c0ad4434dfb64f49a810bc795dadcd4cbec948bf8d4ae81a10fed5e'
            blockNumber: '0x8ba5f79'
            gasUsed: '0x33c65'
            transactionHash: '0x8ec28074a461102e4dbe43cb4aa9fed3e8c1274f1f1b0d5f6a0919ce7e20f517'
            logs:
              - address: '0x00000000000017c61b5bee81050ec8efc9c6fecd'
                data: '0x0000000000000000000000000000000000000000000000000000000000000000'
                topics:
                  - '0xd32049610f0cd3babd266cf338d726cc8c34c8ff97356c0f33c13fa59962ac92'
                  - '0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d'
                  - '0x0000000000000000000000003f3503e682bf27330f9e5065043d47207e609e7d'
              - address: '0x0000000071727de22e5e9d8baf0edac6f37da032'
                data: '0x00000000000000000000000000000000000017c61b5bee81050ec8efc9c6fecd0000000000000000000000002cc0c7981d846b9f2a16276556f6e8cb52bfb633'
                topics:
                  - '0xd51a9c61267aa6196961883ecf5ff2da6619c37dac0fa92122513fb32c032d2d'
                  - '0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
                  - '0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d'
              - address: '0x0000000071727de22e5e9d8baf0edac6f37da032'
                data: 0x
                topics:
                  - '0xbb47ee3e183a558b1a2ff0874b079f3fc5478b7454eacf2bfc5af2ff5878f972'
              - address: '0x0000000071727de22e5e9d8baf0edac6f37da032'
                data: '0x00000000000000000000000000000000000000000000000100000000000000000000000000000000000000000000000000000000000000000000000000000001000000000000000000000000000000000000000000000000000014ba6c2cd4f0000000000000000000000000000000000000000000000000000000000003451d'
                topics:
                  - '0x49628fd1471006c1482da88028e9ce4dbb080b815c9b0344d39e5a8e6ec1419f'
                  - '0x1057eff9529142aa3b74adcaacfce5b99a09d80c9f2e38e35ea1f27535e61477'
                  - '0x000000000000000000000000f13223cca0ae9786dd91dffe1f4e834c71ccdc2d'
                  - '0x0000000000000000000000002cc0c7981d846b9f2a16276556f6e8cb52bfb633'
```
